upsertInvoiceSettlement
WRITEUpsert invoice settlement.
POST /api/v1/invoicing/upsertInvoiceSettlement
curl -X POST '<your-host>/api/v1/invoicing/upsertInvoiceSettlement' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"targetExchangeRate": 0,
"sourceExchangeRate": 0,
"appliedDate": "string",
"_operation": "create"
}'Response
{
"id": "string"
}Parameters
ParameterType
Required. 'create' inserts a new record, 'update' modifies the existing record with this id.
"create""update"
min length 1
> 0
> 0
min 0
min 0
min 0
min 0
Input schema
schema
{
"type": "object",
"properties": {
"paymentId": {
"type": "string"
},
"memoId": {
"type": "string"
},
"targetSalesInvoiceId": {
"type": "string"
},
"targetPurchaseInvoiceId": {
"type": "string"
},
"targetMemoId": {
"type": "string"
},
"sourceAmount": {
"type": "number",
"minimum": 0
},
"appliedAmount": {
"default": 0,
"type": "number",
"minimum": 0
},
"discountAmount": {
"default": 0,
"type": "number",
"minimum": 0
},
"writeOffAmount": {
"default": 0,
"type": "number",
"minimum": 0
},
"targetExchangeRate": {
"type": "number",
"exclusiveMinimum": 0
},
"sourceExchangeRate": {
"type": "number",
"exclusiveMinimum": 0
},
"appliedDate": {
"type": "string",
"minLength": 1
},
"id": {
"type": "string"
},
"_operation": {
"type": "string",
"enum": [
"create",
"update"
],
"description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
}
},
"required": [
"targetExchangeRate",
"sourceExchangeRate",
"appliedDate",
"_operation"
]
}